Enable virtual deployments for merged fuel commits 03/3503/4
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>
Sat, 21 Nov 2015 20:57:14 +0000 (21:57 +0100)
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>
Mon, 23 Nov 2015 07:22:42 +0000 (07:22 +0000)
JIRA: RELENG-56

Change-Id: Ie1c179b67e003e51fcd58e7d0c6d09c0d1382171
Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
jjb/fuel/fuel-deploy-virtual.sh [new file with mode: 0755]
jjb/fuel/fuel-virtual-deploy.sh [deleted file]
jjb/fuel/fuel.yml

diff --git a/jjb/fuel/fuel-deploy-virtual.sh b/jjb/fuel/fuel-deploy-virtual.sh
new file mode 100755 (executable)
index 0000000..ff4f8c3
--- /dev/null
@@ -0,0 +1,41 @@
+#!/bin/bash
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# source the file so we get OPNFV vars
+source latest.properties
+
+# echo the info about artifact that is used during the deployment
+echo "Using $(echo $OPNFV_ARTIFACT_URL | cut -d'/' -f3) for deployment"
+
+# create TMPDIR if it doesn't exist
+export TMPDIR=$HOME/tmpdir
+[[ -d $TMPDIR ]] || mkdir -p $TMPDIR
+
+# change permissions down to TMPDIR
+chmod a+x $HOME
+chmod a+x $TMPDIR
+
+# set CONFDIR, BRIDGE
+CONFDIR=$WORKSPACE/fuel/deploy/templates/virtual_environment/conf
+BRIDGE=pxebr
+
+# log info to console
+echo "Starting the deployment for a merged change using $INSTALLER. This could take some time..."
+echo "--------------------------------------------------------"
+echo
+
+# start the deployment
+echo "Issuing command"
+echo "sudo $WORKSPACE/fuel/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -nh"
+
+sudo $WORKSPACE/fuel/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -nh
+
+echo
+echo "--------------------------------------------------------"
+echo "Virtual deployment is done! Removing the intermediate files from artifact repo"
+
+PROPERTIES_FILE=$(echo $OPNFV_ARTIFACT_URL | sed 's/iso/properties/')
+gsutil rm gs://$OPNFV_ARTIFACT_URL
+gsutil rm gs://$PROPERTIES_FILE
diff --git a/jjb/fuel/fuel-virtual-deploy.sh b/jjb/fuel/fuel-virtual-deploy.sh
deleted file mode 100755 (executable)
index 4e0b2dc..0000000
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/bash
-
-echo "Placeholder for Fuel virtual deploy"
index e809592..60a69c6 100644 (file)
@@ -12,7 +12,7 @@
     jobs:
         - 'fuel-verify-build-{stream}'
         - 'fuel-merge-build-{stream}'
-        - 'fuel-merge-virtual-deploy-{stream}'
+        - 'fuel-merge-deploy-virtual-{stream}'
         - 'fuel-daily-{stream}'
         - 'fuel-build-{stream}'
         - 'fuel-deploy-{stream}'
             !include-raw ./fuel-workspace-cleanup.sh
 
 - job-template:
-    name: 'fuel-merge-virtual-deploy-{stream}'
+    name: 'fuel-merge-deploy-virtual-{stream}'
 
     project-type: freestyle
 
-    node: ericsson-build
+    node: fuel-deploy-virtual
 
     concurrent: true
 
         - shell:
             !include-raw ./fuel-download-artifact.sh
         - shell:
-            !include-raw ./fuel-virtual-deploy.sh
+            !include-raw ./fuel-deploy-virtual.sh
         - shell:
             !include-raw ./fuel-workspace-cleanup.sh
 
+    publishers:
+        - email:
+            recipients: jonas.bjurel@ericsson.com stefan.k.berg@ericsson.com
+
 - job-template:
     name: 'fuel-daily-{stream}'